<?php
/**
 * Topic Author
 *
 * @package TopicAuthor
 * @author phantom
 * @copyright 2012
 * @license http://creativecommons.org/licenses/by-nc-nd/3.0/ CC BY-NC-ND 3.0
 * @version 0.1
 */

if (!defined('SMF'))
	die('Hacking attempt...');

function TopicAuthor_load_theme()
{
	global $modSettings, $context;

	if(!empty($modSettings['TopicAuthor_enable']))
	{
		loadLanguage('TopicAuthor');

		//If setting is empty load default values
		$modSettings['TopicAuthor_color'] = !empty($modSettings['TopicAuthor_color']) ? $modSettings['TopicAuthor_color'] : '#008000';
		$modSettings['TopicAuthor_color2'] = !empty($modSettings['TopicAuthor_color2']) ? $modSettings['TopicAuthor_color2'] : '#ffffff';

		//some CSS styles...
		$context['html_headers'] .= '
			<style type="text/css">
			span.topic_author {
				color: '.$modSettings['TopicAuthor_color2'].';
				font-weight: bold;
				-webkit-border-radius: 3px;
				-moz-border-radius: 3px;
				border-radius: 3px;
				background: '.$modSettings['TopicAuthor_color'].';
				padding: 2px 3px;
				text-align: center;
			}
			</style>';
	}
}

function TopicAuthor_admin_areas(&$areas)
{
	global $txt;

	loadLanguage('TopicAuthor');

	$areas['config']['areas']['modsettings']['subsections']['TopicAuthor'] = array($txt['TopicAuthor_admin']);
}

function TopicAuthor_modify_modifications(&$sub_actions)
{
	$sub_actions['TopicAuthor'] = 'TopicAuthor_settings';
}

function TopicAuthor_settings(&$return_config = false)
{
	global $context, $txt, $scripturl;

	$context['page_title'] = $txt['TopicAuthor_admin'];
	$context['settings_title'] = $txt['TopicAuthor_admin'];
	$context['settings_message'] = $txt['TopicAuthor_admin_desc'];
	$context['post_url'] = $scripturl . '?action=admin;area=modsettings;save;sa=TopicAuthor';

	$config_vars = array(
		array('check', 'TopicAuthor_enable'),
		array('text', 'TopicAuthor_color', 'subtext' => $txt['TopicAuthor_color_desc']),
		array('text', 'TopicAuthor_color2', 'subtext' => $txt['TopicAuthor_color2_desc']),
	);

	if ($return_config)
		return $config_vars;

	if (isset($_GET['save'])) {
		checkSession();
		saveDBSettings($config_vars);
		writeLog();
		redirectexit('action=admin;area=modsettings;sa=TopicAuthor');
	}
	prepareDBSettingContext($config_vars);
}
